<template>
    <div class="modal" v-if="show">
      <div class="modal-content">
        <span class="close" @click="close">&times;</span>
        <h2>Add New Admin</h2>
        <form @submit.prevent="submitForm">
          <input type="text" placeholder="Name" v-model="newAdmin.name" required>
          <input type="email" placeholder="Email" v-model="newAdmin.email" required>
          <input type="password" placeholder="Password" v-model="newAdmin.password" required>
          <input type="text" placeholder="Role" v-model="newAdmin.role" required>
          <button type="submit">Add Admin</button>
        </form>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: 'PopupAddAdmin',
    props: ['show'],
    data() {
      return {
        newAdmin: {
          name: '',
          email: '',
          password: '',
          role: ''
        }
      };
    },
    methods: {
      close() {
        this.$emit('close');
      },
      submitForm() {
        // Kirim data admin baru ke backend untuk disimpan di database
        this.$emit('addAdmin', this.newAdmin);
        // Bersihkan formulir
        this.newAdmin = {
          name: '',
          email: '',
          password: '',
          role: ''
        };
        // Tutup pop-up
        this.close();
      }
    }
  };
  </script>
  
  <style scoped>
  .modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
  }
  
  .modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
  }
  
  .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }
  </style>
  